<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
    xmlns:cs="urn:custom-csharp"
exclude-result-prefixes="msxsl cs">
  <xsl:output method="html" media-type="text/html" encoding="UTF-8"/>
  <xsl:param name="uuid" select="/Root/DeviceName" />
  <xsl:param name="count" select="/Root/DeviceName" />
  <xsl:param name="supervised" select="false" />
  <xsl:param name="islink" select="'true'" />
  <xsl:param name="sortkey" />
  <xsl:param name="ball" />
  <msxsl:script language="C#" implements-prefix="cs">
    <![CDATA[
     public string DateTimeFormat(System.String date){
        DateTime dt;
       if( System.DateTime.TryParse(date, out dt) )
         return dt.ToString("yyyy年M月d日 H時m分s秒");
       return date;
     }
      ]]>
  </msxsl:script>
  
  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>


  <xsl:template match="/Root">
    <tr>
	  <td class="t_line01 no_img">
        <input type="checkbox">
			<xsl:attribute name="name">check<xsl:value-of select="$count" /></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$uuid" /></xsl:attribute>
			<xsl:attribute name="onchange">checkList()</xsl:attribute>
		</input>
      </td>
      <td class="t_line01 no_img">
        <xsl:value-of select="cs:DateTimeFormat(/Root/Date/text())"/>
      </td>
      <td class="t_line01">
        <xsl:choose>
          <xsl:when test="$islink = 'true'">
            <a href="#" title="デバイス名">
              <xsl:attribute name="onclick">execute('<xsl:value-of select="$uuid" />');return false;</xsl:attribute>
              <xsl:value-of select="/Root/DeviceName"/>
            </a>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="/Root/DeviceName"/>
          </xsl:otherwise>
        </xsl:choose>
      </td>
	  <td class="t_line01 no_img">
        <xsl:value-of select="/Root/SerialNumber/text()"/>
      </td>
	  <td class="t_line02 no_img">
        <xsl:if test="$supervised = 'true'">
			<img src="images/check.gif" width="15" height="15"/>
		</xsl:if>
      </td>
      <td class="t_line01 no_img">
        <xsl:value-of select="/Root/AppleID/text()"/>
      </td>
	  <td class="t_line02 no_img">
        <xsl:text>{0}</xsl:text>
      </td>
      <td class="t_line01 no_img">
        <xsl:value-of select="/Root/PhoneNumber/text()"/>
      </td>
      <td class="t_line02 no_img" style="display:none" >
        <xsl:attribute name="sorttable_customkey"><xsl:value-of select="$sortkey"/></xsl:attribute>
        <form method="post" action="setting-check" onsubmit="return false;">
          <xsl:attribute name="name">form<xsl:value-of select="$count" /></xsl:attribute>
		      <xsl:attribute name="id">form<xsl:value-of select="$count" /></xsl:attribute>
          <input type="hidden" name="SelectedDevice">
            <xsl:attribute name="value"><xsl:value-of select="$uuid" /></xsl:attribute>
          </input>
          <a href="#">
            <xsl:if test="$islink = 'true'"><xsl:attribute name="onclick">execute(document.form<xsl:value-of select="$count" />);return false;</xsl:attribute></xsl:if>
            <img width="15" height="15" alt="">
            <xsl:attribute name="src">
              <xsl:value-of select="$ball"/>
            </xsl:attribute>
            </img>
          </a>
        </form>
      </td>
    </tr>
  </xsl:template>
</xsl:stylesheet>

